summary,tidem-method {oce} | R Documentation

## Summarize a Tidem Object

### Description

By default, all fitted constituents are plotted, but it is quite useful to set e.g. p=0.05 To see just those constituents that are significant at the 5 percent level. Note that the p values are estimated as the average of the p values for the sine and cosine components at a given frequency.

### Usage

    ## S4 method for signature 'tidem'
    summary(object, p, constituent, ...)

### Arguments

`object` | an object of class `"tidem"`, usually, a result of a call to `tidem`.
`p` | optional value of the maximum p value for the display of an individual coefficient. If not given, all coefficients are shown.
`constituent` | optional name of constituent on which to focus.
`...` | further arguments passed to or from other methods.

### Value

`NULL`

### Author(s)

Dan Kelley

### See Also

Other things related to `tidem` data: `[[,tidem-method`, `[[<-,tidem-method`, `plot,tidem-method`, `predict.tidem`, `tidedata`, `tidem-class`, `tidemAstron`, `tidemVuf`, `tidem`

### Examples

    ## Not run:
    library(oce)
    data(sealevel)
    tide <- tidem(sealevel)
    summary(tide)

    ## End(Not run)

[Package oce version 0.9-22 Index]